import { nothing } from '../../../../external/lit/index.js';
import { UmbLitElement } from '../../../core/lit-element/index.js';
import './document-workspace-split-view-variant-selector.element.js';
export declare class UmbDocumentWorkspaceSplitViewElement extends UmbLitElement {
    #private;
    private _workspaceContext?;
    private _variants?;
    private _icon?;
    private _overrides?;
    private _loading;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDocumentWorkspaceSplitViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-workspace-split-view': UmbDocumentWorkspaceSplitViewElement;
    }
}
